/* Use Scanner to Demonstrate input and ouput, this program averages the numbers entered
   by the user.  */
import java.util.*;

class AverageNumbersInputFromKeyboardUsingScanner
{
  public static void main(String[] args)
  {
	// read from the keyboard
    Scanner myScanner = new Scanner(System.in);
    int numberOfIntegers;
    int currentInt;
    double sum = 0.0;
    double t; // temporary value to be included in the average
    double avg;

    System.out.print("I will computer the average of the number that you enter.\n\tHow many numbers will you enter?: ");
    try
    {
      numberOfIntegers = myScanner.nextInt();
    }
    catch(NumberFormatException exc)
    {
      System.out.println("Invalid format");
      numberOfIntegers = 0;
    }

    System.out.println("Enter " + numberOfIntegers + " values.");
    for(int i=0; i < numberOfIntegers; i++)  {
      System.out.print(": ");

      try {
        currentInt = myScanner.nextInt();
      } catch(NumberFormatException exc) {
        System.out.println("Invalid format");
        currentInt = 0;
      }
      sum += currentInt; // sum = sum + currentInt, a running total
    }
    avg = sum / numberOfIntegers;
    System.out.println("The sum of the numbers you entered is " + sum);
    System.out.println("Average is " + avg);
  }
}